Subject: Re: [PATCH] Simplify MSGFMT setting in Makefile

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Mar 2008 21:50:44 -0700

Paul Mackerras <[email-masked]> writes:

> I have a few commits for you to pull, but I am about to push a patch
> for gitk like the one you sent for git-gui, so I'll send you a pull
> request when I've done that.

Thanks.

>>  else
>>  	MSGFMT ?= msgfmt
>> -	ifeq ($(shell $(MSGFMT) >/dev/null 2>&1 || echo $$?),127)
>> +	ifneq ($(shell $(MSGFMT) --tcl -l C -d . /dev/null 2>/dev/null; echo $?),0)
>
> I had to put "echo $$?" for it to work rather than "echo $?".

Yeah, very sorry about this; Shawn already has pointed it out to me.